# build file to generate the distribution binary tarball
autoreconf
./configure
# build the distribution tarball
make distcheck
make clean

# build windows installation file
./configure \
  $PKGCFG \
  $CROSSCFG \
  --with-ptw32=$PREFIX/i686-w64-mingw32.static \
  --with-libiconv-prefix=$PREFIX/iconv \
  --enable-static \
  PTW32_LIBS="-lpthread -lpcreposix -lpcre" \
  FLTK_CONFIG=$PREFIX/bin/i686-w64-mingw32.static-fltk-config

make -j 3
$PREFIX/bin/i686-w64-mingw32.static-strip src/flio.exe
make nsisinst
mv src/*setup*exe .

make clean
